Kerbal Space Program - Bug #23184

NRE for MH mission if the vessel has a rotor and wheels and the "brakes on" option set in "Spawn
Vessel" node

07/14/2019 08:43 PM - arctangent

Status: Resolved Start date: 07/14/2019
Severity: Low % Done: 100%
Assignee: victorr

Category: Plugins/Add-Ons

Target version: 1.9.0

Version: 1.7.3 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Breaking Ground, Making History

Description

Any time | try to create a vessel (in a Making History mission) that has both a rotor part from Breaking Ground, and a rover wheel or
landing gear, when | launch the vessel | get a popup that says "Unable to Start Mission" and when | close it, the mission exits.

Related issues:
Related to Kerbal Space Program - Bug #23282: Can't launch mission with craft... Duplicate 07/30/2019

History

#1 - 08/14/2019 09:15 AM - arctangent
- File Aleph I.craft added
- File Mission-Duna Test.zip added

| dug into this a bit more. It seems the issue occurs if the "Brakes On" checkbox is checked on the "Spawn Vessel" node (which it is by default). If you
uncheck this box then a craft with both rotors and wheels can be launched like any other craft. If you leave it in the default checked state, you get this
error.

Attaching an example mission and craft file to demonstrate.

#2 - 11/01/2019 03:34 PM - victorr
- Related to Bug #23282: Can't launch mission with craft that has propeller blades from 1.7.3 added

#3 - 11/04/2019 05:27 PM - victorr
- File Cannot start mission if it has a rover wheel and a rotor.png added

- Subject changed from MH "Unable to Start Mission" if craft has a rotor and wheels to NRE for MH mission if the vessel has a rotor and wheels and
the "brakes on" option set in "Spawn Vessel" node

- Status changed from New to Confirmed
- Assignee set to victorr

- % Done changed from 0 to 10

- Platform Windows added

Confirmed on 1.8.1.

#5 - 02/15/2020 05:38 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.9.0

- % Done changed from 10 to 80

We have made changes in this last release and would like your feedback please.

#6 - 02/16/2020 06:21 PM - arctangent

This appears to be working correctly in 1.9.0. Thanks!
#7 - 07/07/2020 03:01 PM - arctangent
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Files

Aleph l.craft 77 KB 08/14/2019 arctangent

Mission-Duna Test.zip 887 KB 08/14/2019 arctangent

Cannot start mission if it has a rover wheel and a rotor.png 2.49 MB 11/04/2019 victorr
